Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class FileEntryCollection2

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.EntryCollection
                  |
                  +--ru.biosoft.access.FileEntryCollection2

public class FileEntryCollection2
extends EntryCollection

Version: 1.0
todo Document!!!, Algorithm for select index implementation.

Field Summary
`final static int` | `BUFFER_SIZE`
`final static String` | `INDEX_BLOCK_SIZE_PROPERTY` Property for size of block of index
`final static int` | `MAX_ENTRY_STR_SIZE`

Fields inherited from class ru.biosoft.access.EntryCollection
`ENTRY_DELIMITERS_PROPERTY, ENTRY_END_PROPERTY, ENTRY_ID_PROPERTY, ENTRY_START_PROPERTY`

Constructor Summary
`FileEntryCollection2(DataCollection parent, Properties properties)`

Method Summary
`void` | `close()` Close data collection.
`boolean` | `contains(String name)`
`List` | `getInternalNameList()`
`List` | `getNameList()`
`int` | `getSize()`
`Iterator` | `iterator()`

Methods inherited from class ru.biosoft.access.EntryCollection
`getDataElementType`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, get, getCompleteName, getInfo, init, isMutable, propagateElementChanged, propagateElementWillChange, put, remove, removeDataCollectionListener, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Field Detail

### BUFFER_SIZE

    public final static int BUFFER_SIZE

  todo Document

### INDEX_BLOCK_SIZE_PROPERTY

    public final static String INDEX_BLOCK_SIZE_PROPERTY

  Property for size of block of index

### MAX_ENTRY_STR_SIZE

    public final static int MAX_ENTRY_STR_SIZE

  todo Document

Constructor Detail

### FileEntryCollection2

    public FileEntryCollection2(DataCollection parent, Properties properties)
                           throws java.lang.Exception

  todo Comment, Fill used files!!!

Method Detail

### close

    public void close()
                throws java.lang.Exception

  Close data collection. Release all resources (data file and index file). After call this method collection is invalid and any other methods may throw exceptions.
  Throws:
    Exception - If error occured.

### contains

    public boolean contains(String name)

  todo Document

### getInternalNameList

    public List getInternalNameList()

### getNameList

    public List getNameList()

### getSize

    public int getSize()

  todo Document

### iterator

    public Iterator iterator()

  todo Document

Association Links

to Class java.lang.String

  Property for size of block of index

to Class ru.biosoft.access.Index

  Index

to Class java.util.List

  Unmodifiable synchronized name list.

to Class java.io.File

  Name of data file

to Class java.io.RandomAccessFile

  Data file

to Class java.lang.String

  todo Document

to Class java.lang.String

  todo Document

to Class java.lang.String

  String by wich any entry is finished. Default value is: `"//"` .

to Class java.lang.String

  todo Document

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM